Subject: bug#23559: closed (Re: bug#23559: 25.0.93; Wrong type argument on C-u C-x = with Czech input method)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 May 2016 20:01:02 +0000

Your bug report

#23559: 25.0.93; Wrong type argument on C-u C-x = with Czech input method

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23559: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23559
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23559: 25.0.93; Wrong type argument on C-u C-x = with Czech input method
From: Eli Zaretskii <[email-masked]>
To: Milan Zamazal <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 May 2016 23:00:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Milan Zamazal <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 19 May 2016 20:50:33 +0200
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
>     EZ> Do you (or someone else) understand why Czech and Slovak input
>     EZ> methods include kp-* keys in the input method definitions?
> 
> The reason is that those input methods replace digit keys at the main
> part of the keyboard with Czech and Slovak characters.  But the keys at
> the numeric keypad should of course still produce digits and not Czech
> and Slovak characters.
> 
> IIRC at the time those input methods were introduced, quail definitions
> like
> 
>   ("1" ?+)
> 
> caused both the `1' and kp-1 keys to produce `+' and adding
> 
>   ([kp-1] ?1)
> 
> was necessary to keep kp-1 producing `1' and not `+'.

I see, thanks.

> If this is no longer necessary then those bindings can be simply
> removed.

They don't seem to be necessary, so I removed them, and I'm marking
the bug done.

Thanks.

Subject: 25.0.93; Wrong type argument on C-u C-x = with Czech input method
From: Milan Zamazal <[email-masked]>
To: [email-masked]
Date: Thu, 12 May 2016 21:35:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When I press `C-u C-x =' with a Czech input method enabled, I get the
following error:

  quail-gen-decode-map: Wrong type argument: characterp, kp-add

How to reproduce the bug:

- Start Emacs, e.g.: emacs -Q
- Select Czech input method: C-x RET C-\ czech RET
- Make sure you are on some character in the buffer, e.g. go to the
  beginning of *scratch* buffer with the semicolon character.
- Run what-cursor-position with a prefix argument: C-u C-x =
- You should receive the error above.

The bug is also present in Emacs 24.5.